public void CreateGraph()
        {
            Mesh mesh = NGonsCore.MeshCreate.MeshFromPolylines(_polylines, 0.01);

            //PolyMesh polyMesh = PolyMesh.CreateFromPolylines(_polylines);
            //polyMesh.Weld(RhinoDoc.ActiveDoc.ModelAbsoluteTolerance, 123);

            //1.2 Construct graph
            _g = new UndirectedWeightedGraph(_polylines.Count);
            //List<int>[] adj = polyMesh.Faces.GetAdjacencyMap();
            List <int>[] adj = mesh.GetNGonFaceAdjacency();

            for (int i = 0; i < _polylines.Count; i++)
            {
                _g.InsertVertex(i.ToString());
            }

            for (int i = 0; i < adj.Length; i++)
            {
                for (int j = 0; j < adj[i].Count; j++)
                {
                    _g.InsertEdge(i.ToString(), adj[i][j].ToString(), 1);
                }
            }
        }